Type to search.

Create a DeepSeek inference endpoint

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.1 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create an inference endpoint to perform an inference task with the deepseek service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: completion chat_completion
deepseek_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, deepseek.

Values: deepseek
service_settings object required

Settings used to install the inference model. These settings are specific to the deepseek service.

api_key string required

A valid API key for your DeepSeek account. You can find or create your DeepSeek API keys on the DeepSeek API key page.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

model_id string required

For a completion or chat_completion task, the name of the model to use for the inference task.

For the available completion and chat_completion models, refer to the DeepSeek Models & Pricing docs.

url string

The URL endpoint to use for the requests. Defaults to https://api.deepseek.com/chat/completions.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: completion chat_completion